#include "common_include.h"
#include "bsp_app_led_output.h"

void InitTelltale_US4(void)
{
#if (PRO_US4)   
    if(g_VehicleType == CAR_TYPE_ICV) {
#if 1        
        SetTelltalePos("LPI Over",         LPI_Over);//Fuel Type:LPI
        SetTelltalePos("LED Lamp Fail",    LedLampFail);
        SetTelltalePos("Immobilizer",      Immobilizer);
        SetTelltalePos("Over Speed",       OverSpeed); //DSL MID
        SetTelltalePos("SCR",              SCR);       //DSL ONLY
        SetTelltalePos("Turn Left",        LeftTurn);
        SetTelltalePos("HBA Green",        HBAGreen);
        SetTelltalePos("High Beam",        HighBeam);
        SetTelltalePos("Parking Break",    ParkingBreak);//需要区分区域
        SetTelltalePos("EPB",              EPB);
        SetTelltalePos("ABS",              ABS);
        SetTelltalePos("Seat Belt",        SeatBelt);  
        SetTelltalePos("FCA Yellow",       FcaYellow);        
        SetTelltalePos("ECall",            Ecall);

        SetTelltalePos("LDW/LKA Green",    LdwLkaGreen);
        SetTelltalePos("LDW/LKA Yellow",   LdwLkaYellow);
        SetTelltalePos("LDW/LKA Gray",     LdwLkaGray);
        
        SetTelltalePos("ISG Green",        IsgGreen);
        SetTelltalePos("ISG Yellow",       IsgYellow);
        SetTelltalePos("ISG White",        IsgWhite);
        
        SetTelltalePos("AUTO HOLD White",  AutoHoldWhite);
        SetTelltalePos("AUTO HOLD Yellow", AutoHoldYellow);
        SetTelltalePos("AUTO HOLD Green",  AutoHoldGreen);    
        
        SetTelltalePos("ICE WARNING",      IceWarning);
        SetTelltalePos("Turn Right",       RightTurn);
        SetTelltalePos("4WD Lock",         Four_WD_Lock);
        SetTelltalePos("Tail Lamp",        TailLamp);  
        SetTelltalePos("TPMS",             Tpms);    
        SetTelltalePos("Check Engine",     CheckEngine);
        SetTelltalePos("ESC",              ESC);    
        SetTelltalePos("Air Bag",          AirBag);
        SetTelltalePos("Master Symbol",    MasterSymbol);    
        SetTelltalePos("Low Beam",         LowBeam);    
        SetTelltalePos("Rear Fog",         RearFog); //Except IA 
        SetTelltalePos("MDPS",             Mdps);
        SetTelltalePos("Oil Pressure",     OilPressure);
        SetTelltalePos("ESC OFF",          EscOff);
        SetTelltalePos("Battery Charge",   BatteryCharge);   
        SetTelltalePos("Glow",             Glow);//DSL ONLY
        SetTelltalePos("LPI Only",         LPI_Only);//Fuel Type:LPI
        SetTelltalePos("DPF/GPF",          DpfGpf); 
        SetTelltalePos("Water Saperator",  WaterSaperator);//DSL ONLY

        SetTelltalePos("LOW FUEL",         DMS_RestoreDefault);
        SetTelltalePos("",                 DMS_Led_Low);
        SetTelltalePos("",                 DMS_Led_Low);
        SetTelltalePos("SMART Comfort",    DMS_Led_Smart_ComfortColor);
        SetTelltalePos("SMART Eco",        DMS_Led_Smart_EcoColor);
        SetTelltalePos("SMART Sport",      DMS_Led_Smart_SportColor);
        SetTelltalePos("SMART Smart",      DMS_Led_Smart_SmartColor);
#else
        SetTelltalePos("LPI Over",         LPI_Over);
        SetTelltalePos("LPI Only",         LPI_Only);
        
#endif 
    }
    else if(g_VehicleType == CAR_TYPE_HEV) {
#if 1        
        SetTelltalePos("High Beam",        HighBeam);
        SetTelltalePos("HBA Green",        HBAGreen);
        SetTelltalePos("HBA White",        HBAWhite);
        SetTelltalePos("Low Beam",         LowBeam);    
        SetTelltalePos("Turn Left",        LeftTurn);
        SetTelltalePos("Turn Right",       RightTurn);
        SetTelltalePos("Tail Lamp",        TailLamp);  
        //SetTelltalePos("Front Fog",        FrontFog);
        SetTelltalePos("Rear Fog",         RearFog); //Except IA ?
        SetTelltalePos("Master Symbol",    MasterSymbol);    
        //if (IsHaveDBC()) {
        //    SetTelltalePos("DBC Green",        DBCGreen);
        //    SetTelltalePos("DBC Yellow",       DBCYellow);
        //}
        SetTelltalePos("TPMS",             Tpms);    
        SetTelltalePos("EPB",              EPB);
        SetTelltalePos("LED Lamp Fail",    LedLampFail);
        //SetTelltalePos("Over Speed",       OverSpeed); //I3 Region only
        SetTelltalePos("Immobilizer",      Immobilizer);
        SetTelltalePos("RBS",              RBS);
        SetTelltalePos("Parking Break",    ParkingBreak);//需要区分区域
        SetTelltalePos("ABS",              ABS);
        SetTelltalePos("Seat Belt",        SeatBelt);  
        SetTelltalePos("ECall",            Ecall);

        SetTelltalePos("LDW/LKA Green",    LdwLkaGreen);
        SetTelltalePos("LDW/LKA Yellow",   LdwLkaYellow);
        SetTelltalePos("LDW/LKA Gray",     LdwLkaGray);

        SetTelltalePos("AUTO HOLD White",  AutoHoldWhite);
        SetTelltalePos("AUTO HOLD Yellow", AutoHoldYellow);
        SetTelltalePos("AUTO HOLD Green",  AutoHoldGreen);           
        SetTelltalePos("ICE WARNING",      IceWarning);
        SetTelltalePos("ISLA",             ISLA);        
        SetTelltalePos("Green Zone Lamp",  GreenZoneLamp); 
        SetTelltalePos("DAW",              DAW_Blink);

        SetTelltalePos("FCA Yellow",       FcaYellow);
        SetTelltalePos("FCA RedBlink",     FcaRed);
        SetTelltalePos("DPF/GPF",          DpfGpf); 

        SetTelltalePos("MDPS",             Mdps);

        SetTelltalePos("Battery Charge",   BatteryCharge);    
        SetTelltalePos("Air Bag",          AirBag);

        SetTelltalePos("ESC OFF",          EscOff);

        SetTelltalePos("Oil Pressure",     OilPressure);
        SetTelltalePos("ESC",              ESC); 
        SetTelltalePos("Check Engine",     CheckEngine);

        SetTelltalePos("EV_MODE",          EV_MODE);
        SetTelltalePos("READY",            READY);

        SetTelltalePos("HIGH_TEMP",        HIGH_TEMP);
        SetTelltalePos("ServiceLamp",      ServiceLamp);

        //SetTelltalePos("LFA/HDA Green",    LfaHdaGreen);
        //SetTelltalePos("LFA/HDA White",    LfaHdaWhite);  
        //SetTelltalePos("LFA/HDA Gray",     LfaHdaGray);
        //SetTelltalePos("ISG Green",        IsgGreen);
        //SetTelltalePos("ISG Yellow",       IsgYellow);
        //SetTelltalePos("ISG White",        IsgWhite);    


        //SetTelltalePos("RSBR Red",         RSBR_Red);




        //SetTelltalePos("GLOW DSL",         Glow); //DSL ONLY

        //SetTelltalePos("SCR DSL",          SCR);  //DSL ONLY



        //SetTelltalePos("Water Saperator",  WaterSaperator);//DSL ONLY

        SetTelltalePos("LOW FUEL",         DMS_RestoreDefault);
        
        SetTelltalePos("",                 DMS_Led_Low);
        SetTelltalePos("SMART Comfort",    DMS_Led_Smart_ComfortColor);
        SetTelltalePos("SMART Eco",        DMS_Led_Smart_EcoColor);
        SetTelltalePos("SMART Sport",      DMS_Led_Smart_SportColor);
        SetTelltalePos("SMART Smart",      DMS_Led_Smart_SmartColor);
        SetTelltalePos("",                 DMS_Led_Low);
#else
        SetTelltalePos("LOW FUEL",         DMS_RestoreDefault);
        
        SetTelltalePos("",                 DMS_Led_Low);
        SetTelltalePos("SMART Comfort",    DMS_Led_Smart_ComfortColor);
        SetTelltalePos("SMART Eco",        DMS_Led_Smart_EcoColor);
        SetTelltalePos("SMART Sport",      DMS_Led_Smart_SportColor);
        SetTelltalePos("SMART Smart",      DMS_Led_Smart_SmartColor);
        SetTelltalePos("",                 DMS_Led_Low);
#endif 
    }
#endif    
}


